# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "digest-utils"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Ergonomic helpers for common hash functions (MD5, SHA-1, SHA-2), Commons-Codec style but Rust-flavoured."
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/richardstephens/digest-utils-rs"

[lib]
name = "digest_utils"
path = "src/lib.rs"

[dependencies.digest]
version = "0.11"

[dependencies.hex]
version = "0.4"

[dependencies.md-5]
version = "0.11"

[dependencies.sha1]
version = "0.11"

[dependencies.sha2]
version = "0.11"
